@font-face {
    font-family: bigpurp-lora;
    src: url("media/Lora-VariableFont_wght.ttf");
}

body {
    color: #eee;
    font-family: bigpurp-lora, Garamond, Georgia, 'Times New Roman', Times, serif;
    font-size: 1.5rem;
    background-color: #325;
    background-image: 
        linear-gradient(to right, rgba(0,0,0,1) 10%, rgba(0,0,0,0.2) 50%, rgba(0,0,0,1) 90%),
        url("media/darknoise.webp");
    margin: 0;
    padding: 0;
}

img { max-width: 100%; }
video { border-radius: 20px; }

h1 { font-size: 1.5em; }
h2, h3, h4 { font-size: 1.3em; }
h5, h6 {font-size: 1.1em;}

.text-faded { color: #bbb }

a { color: #fcf; }
a:hover,
a:focus { color: #fff; }

s { text-decoration-thickness: 3px; }

img.logo {max-width: min(100%, 25rem);}

.no-margin { margin: 0; }

.grid-video-portrait {
    margin: 0;
    padding: 1.5rem;
    min-height: calc(100vh - 3rem);
    display: grid;
    align-content: center;
    justify-content: center;
    grid-template-columns: auto auto;
    grid-template-rows: auto;
    column-gap: 10%;
    row-gap: 2em;
}

.video-portrait {
    grid-area: 1 / 1 / span 2 / 2;
    max-height: 90svh;
    max-width: 95svw;
    margin: 0;
    position: sticky;
    top: 5svh;
    aspect-ratio: 9 / 16;
}

.grid-3-zone {
    --half-max-width: 25ch;

    display: grid;
    grid-template-columns:
        [full-start] minmax(0, auto)
        [left-start] minmax(0, var(--half-max-width))
        [center-start] minmax(calc(var(--half-max-width)*0.7), var(--half-max-width))
        [middle] minmax(calc(var(--half-max-width)*0.7), var(--half-max-width))
        [center-end] minmax(0, var(--half-max-width))
        [right-end] minmax(0, auto)
        [full-end];
    gap: 3rem;
}

.grid-3-zone > * {
    grid-column: center-start / center-end;
    place-self: start center;
}

.grid-3-zone > .wide {
    grid-column: left-start / right-end;
}

.grid-3-zone > .full-width {
    grid-column: full-start / full-end;
}

.grid-3-zone > .left {
    grid-column: left-start / middle;
}

.grid-3-zone > .left-full {
    grid-column: full-start / middle;
}

.grid-3-zone > .right {
    grid-column: middle / right-end;
}

.grid-3-zone > .right-full {
    grid-column: middle / full-end;
}

.align-end { align-self: end; }

.contact {
    max-width: 50ch;
    width: fit-content;
}

@media (max-width: 55rem) {
    body {
        background-image: 
            linear-gradient(to bottom, rgba(0,0,0,1) 10%, rgba(0, 0, 0, 0) 90%),
            url("media/darknoise.webp");
        font-size: 1.2rem;
    }

    .grid-video-portrait {
        text-align: center;
        padding: 1rem;
        display: grid;
        grid-template-columns: auto;
        grid-template-rows: auto;
        gap: 0;
        align-content: center;
        justify-content: center;
        margin-bottom: 2rem;
    }

    .video-portrait {
        max-height: 95svh;
        max-width: 100%;
        grid-area: unset;
        position: initial;
        margin: 1rem auto;
    }
    
    .contact {
        margin: 1em auto 1em auto;
    }

    .grid-3-zone {
        grid-template-columns: 
            [full-start] 0
            [main-start] 1fr [main-end]
            0 [full-end];
        gap: 1rem;
    }

    .grid-3-zone > *,
    .grid-3-zone > .wide,
    .grid-3-zone > .left,
    .grid-3-zone > .right {
        grid-column: main-start / main-end;
    }

    .grid-3-zone > .full-width,
    .grid-3-zone > .left-full,
    .grid-3-zone > .right-full {
        grid-column: full-start / full-end;
    }

}

input {
    margin: 0.5em 0;
    padding: 0.2em;
    border: 4px solid #664489; 
    font: inherit;
}

input:focus {
    border: 4px solid #c9f;
    outline: none;
}

input[type=email] {
    width: 100%;
    padding-left: 0.5em;
    min-width: 15ch;
    border-radius: 10px;   
}

input[type=email]:focus {
    border: 4px solid #c9f;
}

input[type=submit] {
    cursor: pointer;
    padding-left: 0.5em;
    padding-right: 0.5em;
    border: 4px solid #664489;
    border-radius: 10px;
    font-weight: bold;
    color: #fff;
    background-color: #664489; 
}

input[type=submit]:hover, input[type=submit]:focus {
    background-color: #c9f;
    border: 4px solid #c9f;
}

input[type=submit]:active {
    background-color:  #664489;
}

label.auth {
    display: none;
}

.input-joined {
    display: flex;
    align-items: center;
    min-width: 15ch;
    width: 100%;
}

.input-joined > input:first-child {
    margin-right: 0;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    border-right: none;
}

.input-joined > input:last-child {
    margin-left: 0;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}